//
//  YazzemDataSource.m
//  YazzemDemo
//
//  Created by Mike Cohen on 2/25/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import "YazzemDataSource.h"
#import "Yazzem.h"

@implementation YazzemDataSource

@synthesize items = _items;

- (id) init
{
    if (self = [super init]) {
        [self reloadData];
    }
    return self;
}

- (void)dealloc
{
    self.items = nil;
    [super dealloc];
}

- (void)reloadData
{
    Yazzem *api = [Yazzem Shared];
    
    self.items = [api all_status: 20];
}

- (NSInteger)numberOfRowsInTableView:(NSTableView *)aTableView
{
    return [_items count];
}

- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(NSInteger)rowIndex
{
    YazzemStatus *stat = (YazzemStatus*)[_items objectAtIndex:rowIndex];
    id identifier = [aTableColumn identifier];
    if ([identifier isEqualToString:@"1"]) {
        YazzemUser *user = stat.user;
        return user.username;
    }
    else {
        return stat.text;
    }
}


@end
