//
//  TopicDetailController.m
//  YazzemTouch
//
//  Created by Mike Cohen on 2/26/10.
//  Copyright 2010 MC Development. All rights reserved.
//

#import "TopicDetailController.h"
#import "Yazzem.h"

@implementation TopicDetailController

@synthesize topic = _topic;
@synthesize comments = _comments;

static Yazzem *api;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/* */
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    api = [Yazzem Shared];
    self.comments = [api get_topic_comments:_topic.topic_id count:20];
    topicName.text = _topic.topic_name;
    topicDescription.text = _topic.description;
    topicKeywords.text = _topic.keywords;
    topicDate.text = [NSString stringWithFormat: @"Created %@", _topic.date];
    topicUser.text = [NSString stringWithFormat: @"By %@", _topic.user.username];
}
/* */

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    self.topic = nil;
    self.comments = nil;
    [super dealloc];
}

#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    // Return the number of sections.
    return 1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    // Return the number of rows in the section.
    return [_comments count];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
    // Configure the cell...
    YazzemComment *comment = [_comments objectAtIndex:indexPath.row];
    YazzemUser *user = comment.user;
    if ((nil != user) && (nil != user.username)) {
        cell.textLabel.text = [NSString stringWithFormat: @"%@: %@", user.username,comment.text];
    }
    else {
        cell.textLabel.text = comment.text;
    }
    cell.textLabel.font = [UIFont systemFontOfSize: [UIFont smallSystemFontSize]];
    cell.textLabel.lineBreakMode = UILineBreakModeWordWrap;
    return cell;
}

@end
