#import <Cocoa/Cocoa.h>
#import "Yazzem.h"

NSString *my_username = @"USERNAME";
NSString *my_password = @"PASSWORD";

void dump_status_array(NSArray *statuses)
{
	for (YazzemStatus *stat in statuses) {
		YazzemUser *user = stat.user;
		printf("Text: %s\n",[stat.text UTF8String]);
		printf("Date: %s\n",[stat.date UTF8String]);
		printf("  By: %s (%s)\n",
					[user.username UTF8String],
					[user.full_name UTF8String]);
		printf("-----\n");
	}
}

void dump_topics_array(NSArray *topics)
{
	for (YazzemTopic *topic in topics) {
		YazzemUser *user = topic.user;
		printf("Name: %s\n",[topic.topic_name UTF8String]);
		printf("Date: %s\n",[topic.date UTF8String]);
		printf("Description: %s\n",[topic.description UTF8String]);
		printf("Keywords: %s\n",[topic.keywords UTF8String]);
		printf("  By: %s (%s)\n",
					[user.username UTF8String],
					[user.full_name UTF8String]);
		printf("-----\n");
	}
}


int main(int argc, char **argv) {

	NSAutoreleasePool *ap = [[NSAutoreleasePool alloc] init];
	Yazzem *api = [[Yazzem alloc] init];
	
	api.username = my_username;
	api.password = my_password;
	
	NSArray *statuses = [api all_status: 10];
	printf("all statuses:\n");
	dump_status_array(statuses);
	
	statuses = [api status_topic: 10];
	printf("topic statuses:\n");
	dump_status_array(statuses);

	statuses = [api get_timeline: 10];
	printf("timeline:\n");
	dump_status_array(statuses);

	statuses = [api get_user_status: @"2" count: 10];
	printf("Statuses for user #2:\n");
	dump_status_array(statuses);

	NSArray *topics = [api get_user_topics: @"2" count: 10];
	printf("Topics for user #2:\n");
	dump_topics_array(topics);
	[ap release];
	return 0;
}
